\version "2.12.3"

%% Mise en page (pour sortie .ps et .pdf)
#(set-default-paper-size "a4")
%#(set-global-staff-size 17)
#(set-global-staff-size 18) 

% Sorties .ps et .pdf)
\paper
{
  top-margin = 1\cm
  bottom-margin = 2\cm
}


%% En-tête
\header 
{
  title = "La chanson de Lanchâtra"
  subtitle = " "
  composer = "Maurice Clerc, 2015 "
  piece = "Marche"
}


%% Bloc "texte (à écrire sous la mélodie)"
%% Pour une bonne représentation, compter une "syllabe" par note

textUn= \lyricmode
{
  Là haut sur la mon- tagne
  Co- mme dit la chan- son
  Y_a- vait un vieux cha- let
  C'é- tait pas la Co- cagne
  Mais fi- lles et gar- çons
  Chaque a- nnée y a- llaient
  Ils sont de- ve- nus hommes
  Elles sont de- ve- nues femmes
  Au fil du temps pa- ssé
  Di- sant à leurs en- fants
  Qui vie- nnent main- te- nant
  Po- ur les rem- pla- cer
  Co- mme nous tu ai- me- ras
  Le vi- llage de Lan- châ- tra
}



textCoda =\lyricmode {
  Oui long- temps on la chant'- ra
  La chan- son de Lan- châ- tra
  La chan- son de Lan- châ- tra
}




%% Blocs "première ligne musicale" (ici la mélodie)
%% Notation anglo-saxonne 
%% a = La
%% b = Si
%% c = Do
%% d = Ré
%% e = Mi
%% f = Fa
%% g = Sol
%% 

melodieUn=    \relative
{
 % \tempo 4=120	
 \tempo 4=105	
  \time 2/2

  \clef "treble_8"
  \key c \major
  
  b8 a b4 b8 b c4 % Là-haut sur la montagne
  
 % b16 a b4. b8 b c4
 c8 b c4 d8 c b4 % Comme dit la chanson
 % c16 b c4. d8 c b4
  b8 b a4 b8 a g4 % Y avait un vieux chalet 
  r1

  g8 g e'4 e8 fis g4 % C'était pas la Cocagne
  g8  fis g4 g8 d d4 % Mais filles et garçons
  d8 d d4 e8 d d4 % Chaque année y allaient
  r1

  a8 a4 a8 a b c4 % Ils sont devenus hommes
  c8 c4 c8 c8 d e4 % Elles sont devenues femmes
  e8 fis4 e8 d4  b8 g8~g4 % Au fil du temps passé
  r2.

  a8 a4 a8 a b c4 % Disant à leurs enfants
  c8 c4 c8 c8 d e4 % Qui viennent maintenant
  e8 fis4 e8 d4 cis8 d8~d4 % Pour les remplacer
  r2.

}


melodieCodaUn = \relative
{
   r8 b16 c  d4.  e8 d4 g,8 a4.~a2  % Comme nous tu aimeras
   r8 fis16 g a4.  b8 g4 d8 g4.~g2 % Le village de Lanchâtra
}

melodieCodaDeux = \relative
{
   r8 b16 c  d4.  e8 d4 g,8 a4.~a2  % Oui longtemps on la chant'ra
  r8 fis16 g a4.  b8 g4 d8 b'4.~b2  % La chanson de Lanchâtra
  r8 fis16 g a4.  b8 g4 d8 g4.~g2 % La chanson de Lanchâtra
}




% Accompagnement 
DoUn= { <e' g c e >4 e }
DoDeux={ <e' g c e > c}

DoIIIUn={ < g' c' e' g'  > g} 
DoIIIDeux={ < g' c' e' g'  > c}

SolIIIUn={  <g' b c' g> g}
SolIIIDeux={  < g' b c' g  > d}

FaUn={   <f' a c' f   >4 f}
FaDeux={  < f' a c' f  >4 c}

SolUn={   < d' g b g  >4 g}
SolDeux={   < d' g b g   >4 b}

SolSeptUn={   < d' g b f  >4 g}
SolSeptDeux={   < d' g b f   >4 b}

LaMinUn={< e a b e   >4 e}
LaMinDeux={< e a b e   > a}

LaMinVUn={  <a' c e a   >4 a}
LaMinVDeux={  <a' c e a   >4 e}

LaDiesUn={ <f ais d f   >4 f}
LaDiesDeux={   < f ais d f  >4 ais}

SolSeptIIIUn={  < d' f b g  >4 g}
SolSeptIIIDeux={   < d' f b g  >4 d}

hUn={
  \SolUn  \SolDeux  
  \DoUn \DoDeux   
  \SolUn  \SolDeux  
  \SolUn  \SolDeux 
  
  \DoUn \DoDeux  
  \DoUn \DoDeux  
  \SolUn  \SolDeux \SolUn  \SolDeux
  \SolUn  \SolDeux \SolUn  \SolDeux
  
  
  \LaMinUn \LaMinDeux
  \DoUn \DoDeux
  \SolUn  \SolDeux
  
}

hCodaUn={\SolUn \SolSeptIIIDeux
         \SolSeptIIIUn \DoIIIDeux   
}
hCodaDeux={\SolUn \SolSeptDeux 
           \SolSeptUn \DoDeux
}

harmonieUn =
{
  \clef "treble_8"
  \repeat volta 2 \hUn 
  \alternative {
    \hCodaUn
    \hCodaDeux
  }  
}

harmonieDeux =
{
  
}

%% Blocs d'accords
%% Ici (en "chordmode") chaque accord est simplement représenté par sa racine
accordsUn= \chordmode
{ 
  g1
  c
  g g
 
  c
  c
  g g
 
  a:min
  c
  g g
 
  a:min
  c
  g g
 
 
}

accordsCodaUn= \chordmode {
  g2 a2:m 
  a1:m 
  a2:m g2
  g1
}

accordsCodaDeux= \chordmode {
  g2 a2:m
  a1:m
  a2:m a2:m
  g1
  
  a2:m g2
  g1
  
  
}



\score
{	
  <<  
    \chords {
      \frenchChords
      \accordsUn  
      \accordsCodaUn
      \accordsCodaDeux
    
      
      
    }
    %% Première ligne musicale (mélodie)
    \new Staff
    {
     
      \new Voice = "un"
      {
        % Affectation du bloc "mélodie" 
        \repeat volta 2 { \melodieUn }
        \alternative {
          \melodieCodaUn 
          \melodieCodaDeux
        }
      }
      
      
     
    }  % \new Staff 
  
    
   
    %% Affectation du texte sous la portée
    \new Lyrics="un"
    \lyricsto "un"
    {
      \set stanza = "barr. "
      % Pour accompagnement mélodie 1 
      
    }
    
    \new Lyrics="un"
    \lyricsto "un"  
    {
      \set stanza = "1. "	 \textUn \textCoda   
    }
 
    
  
  >>   
}

% ------------------- Création du fichier audio MIDI
\score 
{
  <<
    \new Staff
    { 
      % Choix de l'instrument 
      % par exemple :
      % oboe, flute, cello, pan flute,  church organ, accordion,
      % Voice Oohs
      % harpsichord,  xylophone
      % clarinet, ocarina, harmonica, acoustic guitar (nylon), violin
      % violin_sordino (si installé)
      \set Staff.midiInstrument = "harmonica"  %"oboe" 
      \set Staff.midiMinimumVolume = #0.6
      \set Staff.midiMaximumVolume = #0.95
     
      % Affectation du bloc "mélodie"   
      \new Voice = "un" 
      {
        \melodieUn
        \melodieCodaUn
        \melodieCodaDeux
      }
  
      
    } % \new Staff

    % Accompagnement
    \new Staff  {
      \set Staff.midiInstrument =  "xylophone"
      \set Staff.midiMinimumVolume =  #0.5
      \set Staff.midiMaximumVolume =  #0.5
      
      
      \new Voice = "un"
      {
        \hUn  \hCodaUn
        \hCodaDeux
      }
    }  
 
  >>
  % Sortie audio .midi
  \midi
  {
    % ici, paramètres éventuels
  }
} % \score



\markup
{
  \fontsize #3
  \fill-line 
  {	
    \column  % column 1
    {
      \line 
      {
        \bold "1."
        \column 
        {
          " Là-haut sur la montagne"
          "Comme dit la chanson"
          "C'était pas la Cocagne"
          "Y avait un vieux chalet"
          "Mais filles et garçons"
          " Chaque année y allaient"
          " Ils sont devenus hommes"
          "Elles sont devenues femmes"
          " Au fil du temps passé"
          " Disant à leurs enfants"
          "Qui viennent maintenant"
          "Pour les remplacer"
          "Comme nous tu aimeras"
          "Le village de Lanchâtra"
        }
      } % line
      \hspace #2 % adds vertical spacing between verses
      \line 
      {
        \bold "2."
        \column 
        {
          "Si la mort nous épargne"
          "Nous continuerons"
          "À venir travailler"
          "C'est par pour c'que l'on gagne"
          "On bosse pour pas un rond"
          "Oui mais il y a les veillées"
          "Faire la bête de somme"
          "Qui jamais ne réclame"
          "On pourrait s'en lasser"
          "Mais retrouver les gens"
          "Aimés depuis longtemps"
          "On ne peut s'en passer"
          "Toujours nous enchantera"
          "L'amitié à Lanchâtra"

        }
      } % line
      
     
        
    } % column 1
    
   % \hspace #0.1  % adds horizontal spacing between columns;
    
    \column % column 2
    {
       \line 
      {
        \bold "3."
        \column 
        {
          " Comme dit ma compagne"
          "Le chemin devient long"
          "Année après année"
          "De toutes les campagnes"
          "Des filles et garçons"
          "Viennent pourtant l'emprûnter"
          "Tout aussi fous en somme"
          "Et nourrissant la flamme"
          "Que nous pouvons laisser"
          "Eux aussi fort contents"
          "De dormir quelque temps"
          "Dans des maisons glacées"
          "Toujours l'on retrouvera"
          "Des masos à Lanchâtra"
        }
      } % line
       \hspace #2 % adds vertical spacing between verses
      \line 
      {
        \bold "4."
        \column 
        {
          " Puisque la folie gagne"
          "Chaque génération"
          "Nous voilà rassurés"
          "Là-haut sur la montagne"
          "Dans les vieilles maisons"
          "L'histoire va durer"
          "Toujours de nouveaux hommes"
          "Et de nouvelles femmes"
          "Y étant passés"
          "Diront à leurs enfants"
          "Qui en grandissant"
          "Vont les remplacer"
          "Comme nous tu chanteras"
          "La chanson de Lanchâtra" 
        }
      } % line 
      \hspace #2 % adds vertical spacing between verses
      \line 
      {
        \bold "5."
        \column 
        {
          \italic { "Coda"} 
          "Oui longtemps on la chant'ra"
          "La chanson de Lanchâtra"
          "La chanson de Lanchâtra"
        }
      } % line  
      
    } % column 2   
  } % fill-line  
} % markup	